summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Metzler <ametzler@debian.org>2013-08-16 11:55:08 +0200
committerAndreas Metzler <ametzler@debian.org>2013-08-16 11:55:08 +0200
commitea58f8b873bf5bc2d38d2424191e490c7b04c69c (patch)
treea9ae1498108c86136560b0c5482253450d7ad787
parent2de2a4fc9160a5c8ce5779a1611286b8676d1c9f (diff)
downloadexim4-ea58f8b873bf5bc2d38d2424191e490c7b04c69c.tar.gz
Remove pidfile after stopping the daemon.
Remove pidfile after stopping the daemon. Since exim does not remove it itself we do it in the initscript. Closes: #702988
-rw-r--r--debian/changelog2
-rw-r--r--debian/exim4-base.exim4.init4
2 files changed, 6 insertions, 0 deletions
diff --git a/debian/changelog b/debian/changelog
index 81739f3..76de42d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -25,6 +25,8 @@ exim4 (4.80-8) UNRELEASED; urgency=low
the_message)`. This fixes that.
* [lintian] Escape some dashes in exim4-config_files.5.
* Point vcs-* to anonscm.
+ * Remove pidfile after stopping the daemon, exim does not remove it itself.
+ Closes: #702988
-- Andreas Metzler <ametzler@debian.org> Wed, 02 Jan 2013 19:47:00 +0100
diff --git a/debian/exim4-base.exim4.init b/debian/exim4-base.exim4.init
index 8f7e24c..67a1059 100644
--- a/debian/exim4-base.exim4.init
+++ b/debian/exim4-base.exim4.init
@@ -131,10 +131,14 @@ stop_exim()
# ${QUEUERUNNER} is set to, we could have switched since starting.
if [ -f "$QRPIDFILE" ]; then
killproc -p "$QRPIDFILE" "$DAEMON"
+ # exim does not remove the pidfile
+ if [ $? -eq 0 ] ; then rm -f "$QRPIDFILE" ; fi
log_progress_msg "exim4_queuerunner"
fi
if [ -f "$PIDFILE" ]; then
killproc -p "$PIDFILE" "$DAEMON"
+ # exim does not remove the pidfile
+ if [ $? -eq 0 ] ; then rm -f "$PIDFILE" ; fi
log_progress_msg "exim4_listener"
fi
}